import { ISharedBikesSystemInformationOutput } from "#sch";

import {
    AJO_RENTAL_APP_ID,
    AJO_SYSTEM_ID,
    ANYTIME_RENTAL_APP_ID,
    ANYTIME_SYSTEM_ID,
    AUTONAPUL_RENTAL_APP_ID,
    AUTONAPUL_SYSTEM_ID,
    CAR4WAY_RENTAL_APP_ID,
    CAR4WAY_SYSTEM_ID,
} from "#ie/transformations/CeskyCarsharing/transformConstants";

export function getSystemInformation(): ISharedBikesSystemInformationOutput[] {
    return [
        {
            system_id: ANYTIME_SYSTEM_ID,
            operator_id: "anytime",
            language: "cs",
            logo: "",
            name: "Anytime",
            short_name: "Anytime",
            operator: null,
            url: null,
            purchase_url: "https://www.anytimecar.cz/",
            start_date: new Date("2022-10-01"),
            phone_number: "+420 777 363 363",
            email: "info@anytimecar.cz",
            feed_contact_email: "info@anytimecar.cz",
            timezone: "Europe/Prague",
            license_id: null,
            license_url: "https://iptoict.blob.core.windows.net/storage/Legal/GBFSLicence.txt",
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.anytimecar.cz/cz/contract.html",
            rental_app_id: ANYTIME_RENTAL_APP_ID,
        },
        {
            system_id: CAR4WAY_SYSTEM_ID,
            operator_id: "car4way",
            language: "cs",
            logo: "",
            name: "car4way",
            short_name: "car4way",
            operator: null,
            url: null,
            purchase_url: "https://www.car4way.cz/",
            start_date: new Date("2022-10-01 12:00:00.000000+00:00"),
            phone_number: "+420 601 311 011",
            email: "info@car4way.cz",
            feed_contact_email: "info@car4way.cz",
            timezone: "Europe/Prague",
            license_id: null,
            license_url: "https://iptoict.blob.core.windows.net/storage/Legal/GBFSLicence.txt",
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.car4way.cz/Upload/fe_files/VP-CAR4WAY-01-10-2020.pdf",
            rental_app_id: CAR4WAY_RENTAL_APP_ID,
        },
        {
            system_id: AJO_SYSTEM_ID,
            operator_id: "ajo",
            language: "cs",
            logo: "",
            name: "AJO",
            short_name: "AJO",
            operator: null,
            url: null,
            purchase_url: "https://www.ajo.cz/",
            start_date: new Date("2022-10-01 12:00:00.000000+00:00"),
            phone_number: "+420 530 514 214",
            email: "info@ajo.cz",
            feed_contact_email: "info@ajo.cz",
            timezone: "Europe/Prague",
            license_id: null,
            license_url: "https://iptoict.blob.core.windows.net/storage/Legal/GBFSLicence.txt",
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.ajo.cz/data/op/ajo-op-v3_0.pdf",
            rental_app_id: AJO_RENTAL_APP_ID,
        },
        {
            system_id: AUTONAPUL_SYSTEM_ID,
            operator_id: "autonapul",
            language: "cs",
            logo: "",
            name: "Autonapůl",
            short_name: "Autonapůl",
            operator: null,
            url: null,
            purchase_url: "https://www.autonapul.cz/\n",
            start_date: new Date("2022-10-01 12:00:00.000000+00:00"),
            phone_number: "+420 778 470 898",
            email: "autonapul@autonapul.cz",
            feed_contact_email: "autonapul@autonapul.cz",
            timezone: "Europe/Prague",
            license_id: null,
            license_url: "https://iptoict.blob.core.windows.net/storage/Legal/GBFSLicence.txt",
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.autonapul.cz/wp-content/uploads/VOP.pdf",
            rental_app_id: AUTONAPUL_RENTAL_APP_ID,
        },
    ];
}
